Package org.eclipse.mat.parser.internal.snapshot

## Class HistogramBuilderResolverData

- java.lang.Object
- - org.eclipse.mat.parser.internal.snapshot.HistogramBuilderResolverData

    @Deprecated
    public class HistogramBuilderResolverData
    extends Object

Deprecated.
Use `HistogramBuilder.toHistogram(org.eclipse.mat.parser.internal.SnapshotImpl, boolean)` instead

### Constructor Summary

Constructors
`HistogramBuilderResolverData​(String classLabel, long classUsedPermSize, String classLoaderLabel, int classLoaderId, long retainedHeapSize)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getClassLabel()` Deprecated.
`int` `getClassLoaderId()` Deprecated.
`String` `getClassLoaderLabel()` Deprecated.
`long` `getClassUsedPermSize()` Deprecated.
`long` `getRetainedHeapSize()` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HistogramBuilderResolverData

    public HistogramBuilderResolverData​(String classLabel,
                                        long classUsedPermSize,
                                        String classLoaderLabel,
                                        int classLoaderId,
                                        long retainedHeapSize)

Deprecated.

### Method Detail

#### getClassLabel

    public String getClassLabel()

Deprecated.

#### getClassUsedPermSize

    public long getClassUsedPermSize()

Deprecated.

#### getClassLoaderLabel

    public String getClassLoaderLabel()

Deprecated.

#### getClassLoaderId

    public int getClassLoaderId()

Deprecated.

#### getRetainedHeapSize

    public long getRetainedHeapSize()

Deprecated.